<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>IA</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IA";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IA.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Map.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/IA.html" target="_top">Frames</a></li>
<li><a href="IA.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_model.Player">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class IA" class="title">Class IA</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../model/Player.html" title="class in model">model.Player</a></li>
<li>
<ul class="inheritance">
<li>model.IA</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">IA</span>
extends <a href="../model/Player.html" title="class in model">Player</a></pre>
<div class="block">The Class IA.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.IA">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_model.Player">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;model.<a href="../model/Player.html" title="class in model">Player</a></h3>
<code><a href="../model/Player.html#PATTERN_NUMBER">PATTERN_NUMBER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String)">IA</a></strong>(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name)</code>
<div class="block">Instantiates a new ia.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String,%20int)">IA</a></strong>(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name,
  int&nbsp;level)</code>
<div class="block">Instantiates a new ia.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[],%20int)">IA</a></strong>(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name,
  <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
  int[]&nbsp;pieces,
  int&nbsp;level)</code>
<div class="block">Instantiates a new AI.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/GameRule.html" title="class in model">GameRule</a></code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#getGameRule()">getGameRule</a></strong>()</code>
<div class="block">Gets the game rule.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#getLevel()">getLevel</a></strong>()</code>
<div class="block">Gets the level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Piece.html" title="class in model">Piece</a></code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#getNextPiece()">getNextPiece</a></strong>()</code>
<div class="block">Gets the next piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#getNextPosition()">getNextPosition</a></strong>()</code>
<div class="block">Gets the next position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#nextMove(model.GameRule)">nextMove</a></strong>(<a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Compute the next move of this AI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#setGameRule(model.GameRule)">setGameRule</a></strong>(<a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gameRule)</code>
<div class="block">Sets the game rule.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#setLevel(int)">setLevel</a></strong>(int&nbsp;level)</code>
<div class="block">Sets the level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#setNextPiece(model.Piece)">setNextPiece</a></strong>(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;nextPiece)</code>
<div class="block">Sets the next piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/IA.html#setNextPosition(model.Position)">setNextPosition</a></strong>(<a href="../model/Position.html" title="class in model">Position</a>&nbsp;nextPosition)</code>
<div class="block">Sets the next position.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_model.Player">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;model.<a href="../model/Player.html" title="class in model">Player</a></h3>
<code><a href="../model/Player.html#cantPlay()">cantPlay</a>, <a href="../model/Player.html#getActualNbPiece()">getActualNbPiece</a>, <a href="../model/Player.html#getCanPlay()">getCanPlay</a>, <a href="../model/Player.html#getColor()">getColor</a>, <a href="../model/Player.html#getMap()">getMap</a>, <a href="../model/Player.html#getName()">getName</a>, <a href="../model/Player.html#getOrigin()">getOrigin</a>, <a href="../model/Player.html#getPATTERN_NUMBER()">getPATTERN_NUMBER</a>, <a href="../model/Player.html#getPattern()">getPattern</a>, <a href="../model/Player.html#getPieces()">getPieces</a>, <a href="../model/Player.html#getScore()">getScore</a>, <a href="../model/Player.html#iniOrigin()">iniOrigin</a>, <a href="../model/Player.html#setCanPlay(boolean)">setCanPlay</a>, <a href="../model/Player.html#setColor(java.awt.Color)">setColor</a>, <a href="../model/Player.html#setMap(boolean[][])">setMap</a>, <a href="../model/Player.html#setName(java.lang.String)">setName</a>, <a href="../model/Player.html#setOrigin(model.Position)">setOrigin</a>, <a href="../model/Player.html#setPattern(model.Pattern)">setPattern</a>, <a href="../model/Player.html#setScore(int)">setScore</a>, <a href="../model/Player.html#usePiece(model.Piece)">usePiece</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IA(java.awt.Color, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IA</h4>
<pre>public&nbsp;IA(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name)</pre>
<div class="block">Instantiates a new ia.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the ia.</dd><dd><code>name</code> - the of the ia</dd></dl>
</li>
</ul>
<a name="IA(java.awt.Color, java.lang.String, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IA</h4>
<pre>public&nbsp;IA(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name,
  int&nbsp;level)</pre>
<div class="block">Instantiates a new ia.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the ia.</dd><dd><code>name</code> - the of the ia.</dd><dd><code>level</code> - the level of the ia.</dd></dl>
</li>
</ul>
<a name="IA(java.awt.Color, java.lang.String, model.Pattern, int[], int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IA</h4>
<pre>public&nbsp;IA(java.awt.Color&nbsp;color,
  java.lang.String&nbsp;name,
  <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
  int[]&nbsp;pieces,
  int&nbsp;level)</pre>
<div class="block">Instantiates a new AI.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>color</code> - the color of the AI.</dd><dd><code>name</code> - the of the AI.</dd><dd><code>pattern</code> - the pattern of the game</dd><dd><code>pieces</code> - the all the pieces</dd><dd><code>level</code> - the level of the AI.</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="nextMove(model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextMove</h4>
<pre>public&nbsp;void&nbsp;nextMove(<a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</pre>
<div class="block">Compute the next move of this AI.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gr</code> - the gameRule.</dd></dl>
</li>
</ul>
<a name="getGameRule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameRule</h4>
<pre>public&nbsp;<a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;getGameRule()</pre>
<div class="block">Gets the game rule.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the game rule</dd></dl>
</li>
</ul>
<a name="setGameRule(model.GameRule)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGameRule</h4>
<pre>public&nbsp;void&nbsp;setGameRule(<a href="../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gameRule)</pre>
<div class="block">Sets the game rule.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gameRule</code> - the new game rule</dd></dl>
</li>
</ul>
<a name="getLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLevel</h4>
<pre>public&nbsp;int&nbsp;getLevel()</pre>
<div class="block">Gets the level.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the level</dd></dl>
</li>
</ul>
<a name="setLevel(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLevel</h4>
<pre>public&nbsp;void&nbsp;setLevel(int&nbsp;level)</pre>
<div class="block">Sets the level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>level</code> - the new level</dd></dl>
</li>
</ul>
<a name="getNextPiece()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextPiece</h4>
<pre>public&nbsp;<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;getNextPiece()</pre>
<div class="block">Gets the next piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the next piece</dd></dl>
</li>
</ul>
<a name="setNextPiece(model.Piece)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNextPiece</h4>
<pre>public&nbsp;void&nbsp;setNextPiece(<a href="../model/Piece.html" title="class in model">Piece</a>&nbsp;nextPiece)</pre>
<div class="block">Sets the next piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>nextPiece</code> - the new next piece</dd></dl>
</li>
</ul>
<a name="getNextPosition()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextPosition</h4>
<pre>public&nbsp;<a href="../model/Position.html" title="class in model">Position</a>&nbsp;getNextPosition()</pre>
<div class="block">Gets the next position.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the next position</dd></dl>
</li>
</ul>
<a name="setNextPosition(model.Position)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setNextPosition</h4>
<pre>public&nbsp;void&nbsp;setNextPosition(<a href="../model/Position.html" title="class in model">Position</a>&nbsp;nextPosition)</pre>
<div class="block">Sets the next position.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>nextPosition</code> - the new next position</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IA.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Map.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/IA.html" target="_top">Frames</a></li>
<li><a href="IA.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_model.Player">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
